# Class: IssueLinkClient

## IssueLinkClient

## Constructor

#### new IssueLinkClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/issueLink'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/issueLink.js, line 7

### Methods

#### createIssueLink(opts, callback)

Creates an issue link between two issues. The user requires the link issue permission for the issue which will be linked to another issue. The specified link type in the request is used to create the link and will create a link from the first issue to the second issue using the outward description. It also create a link from the second issue to the first issue using the inward description of the issue link type. It will add the supplied comment to the first issue. The comment can have a restriction who can view it. If group is specified, only users of this group can view this comment, if roleLevel is specified only users who have the specified role can view this comment. The user who creates the issue link needs to belong to the specified group or have the specified role.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options for the request sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`issueLink` |  | See https://docs.atlassian.com/jira/REST/latest/#d2e5010

`callback` |  | Called when the link has been created.

Source:
  - api/issueLink.js, line 15

#### deleteIssueLink(opts, callback)

Deletes an issue link with the specified id. To be able to delete an issue link you must be able to view both issues and must have the link issue permission for at least one of the issues.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options used in the request to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`linkId` |  | The id of the link to delete.

`callback` |  | Called when the Issue Link has been deleted.

Source:
  - api/issueLink.js, line 71

#### getIssueLink(opts, callback)

Gets an issue link with the specified id.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options used in the request to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`linkId` |  | The id of the link to retrieve.

`callback` |  | Called when the Issue Link has been retrieved.

Source:
  - api/issueLink.js, line 47